Last Comment Bug 298496 - nsType1.cpp compile error due to new freetype 2.2 const poisoning
: nsType1.cpp compile error due to new freetype 2.2 const poisoning
Status: RESOLVED FIXED
: fixed1.8
Product: Core Graveyard
Classification: Graveyard
Component: GFX: Gtk (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Jungshik Shin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-22 11:25 PDT by Patrick Welche
Modified: 2009-01-22 10:17 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
as mentioned in original report (1.98 KB, patch)
2005-06-22 11:26 PDT, Patrick Welche
no flags Details | Diff | Review
patch working for both FT 2.2.x and 2.1.x (5.44 KB, patch)
2005-10-16 09:25 PDT, Jungshik Shin
kherron+mozilla: review+
dbaron: superreview+
mscott: approval1.8rc1+
Details | Diff | Review

Description Patrick Welche 2005-06-22 11:25:38 PDT
User-Agent:       Mozilla/5.0 (X11; U; NetBSD i386; en-US; rv:1.8b2) Gecko/20050622 Firefox/1.0+
Build Identifier: Mozilla/5.0 (X11; U; NetBSD i386; en-US; rv:1.8b2) Gecko/20050622 Firefox/1.0+

From freetype2's docs/CHANGES file:

LATEST CHANGES BETWEEN 2.2.0 and 2.1.10
  II. IMPORTANT CHANGES

    - The following callback function types have  changed slightly (by
      adding the `const' keyword where appropriate):

        FT_Outline_MoveToFunc
        FT_Outline_LineToFunc
        FT_Outline_ConicToFunc
        FT_Outline_CubicToFunc
        FT_SpanFunc
        FT_Raster_RenderFunc

        FT_Glyph_TransformFunc
        FT_Renderer_RenderFunc
        FT_Renderer_TransformFunc

      Note that this doesn't affect binary backwards compatibility.

... but it does affect building nsType1.cpp. The attached patch fixes this.

Reproducible: Always
Comment 1 Patrick Welche 2005-06-22 11:26:05 PDT
Created attachment 187049 [details] [diff] [review]
as mentioned in original report
Comment 2 Gervase Markham [:gerv] 2005-09-27 02:08:48 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 3 Gervase Markham [:gerv] 2005-10-13 10:38:03 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Comment 4 Jungshik Shin 2005-10-16 08:14:04 PDT
With the patch uploaded here, nsType1.cpp wouldn't compile with FT 2.1.x so that
we need to add '#ifdef ... #else....'
Comment 5 Jungshik Shin 2005-10-16 09:25:12 PDT
Created attachment 199744 [details] [diff] [review]
patch working for both FT 2.2.x and 2.1.x
Comment 6 Jungshik Shin 2005-10-16 09:46:19 PDT
Comment on attachment 199744 [details] [diff] [review]
patch working for both FT 2.2.x and 2.1.x

I got rid of the 'pollution' from the other bug in my tree.
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2005-10-16 09:57:32 PDT
Comment on attachment 199744 [details] [diff] [review]
patch working for both FT 2.2.x and 2.1.x

I'm assuming the last segment of the patch is the part that wasn't supposed to
be in it; given that, sr=dbaron.
Comment 8 Jungshik Shin 2005-10-18 02:21:54 PDT
Comment on attachment 199744 [details] [diff] [review]
patch working for both FT 2.2.x and 2.1.x

fix checked in to the trunk. asking for a 1.8rc1.

1.8(av 1.5) branch is likely to be a long lasting branch and freetype 2.2.x is
expected to be included soon in major linux distributions so that we'd better
fix this in the branch as well.

Risk : very low (just adding 'const' when freetype 2.2.x is installed.
otherwise, no change)
Comment 9 Scott MacGregor 2005-10-18 11:09:15 PDT
Comment on attachment 199744 [details] [diff] [review]
patch working for both FT 2.2.x and 2.1.x

a=me if this lands today on the branch after we're sure it builds everywhere on
the trunk :)

Note You need to log in before you can comment on or make changes to this bug.